<?php
$xruced=trim($_GET['ruced']);

if(strlen($xruced)!=10 and strlen($xruced)!=13){die('RUC/CED INVALIDO');}

include('php_gene1.php');
if(strlen($xruced)==13)
{
//   $dchek=val_ruced($xruced);
//   if(!mb_stristr('NPJ',$dchek)){die('RUC /CED INVALIDO');}
} 
// if(strlen($xruced)==10){$xruced.=val_ean($xruced);} 

include('celec0.php'); 
include('reset0.php'); 
// $cias='demo.cele.vare';
$xruced10=substr($xruced,0,10);
$enti_descri='';
$enti_fecha="2000-01-01";
$xjson ='';

if($xempr==''){$empr_array=explode('.',$cias);}

if($enti_descri=='' )
{
  $enti_descri=get_ruczip($xruced,1); 
  $xjson=$enti_descri;
}


if($enti_descri=='')
{
  for($iempr=0; $iempr<count($empr_array); $iempr++)
  {
    $link_vcrx='';
    $_SESSION['link_vcrx']='' ;   
    $empr_codi=substr(trim($empr_array[$iempr]),0,4);
    chdir('../'.$empr_codi.'/_lib');
    include('../_cfg/config.php');
    $sql_enti ='select * from enti00 ';
  //   $sql_enti.='where substring(enti_codigo,1,10) like "'.$xruced10.'%" ';
    $sql_enti.='where enti_codigo like "'.$xruced.'%" ';
    $sql_enti.='order by enti_codigo desc';
    $res_enti=mysql_query($sql_enti,$link_vcrx);
    $numrows=@mysql_num_rows($res_enti);
    if($numrows!=0)
    {$enti_descri=mysql_result($res_enti,0,'enti_descri');}
    chdir('../');
    if($enti_descri!='')
    {
      $xcodigo=mysql_result($res_enti,0,'enti_codigo');
      $xtipo=mysql_result($res_enti,0,'enti_tiporuc');
      if($xtipo=='N'){$xcodigo=substr($xcodigo,0,10);}
      $xjson.='{';
      $xjson.='"Numero":"'.$xcodigo.'"';
      $xjson.=',"Tipo":"'.$xtipo.'"';
      $xjson.=',"Razon Social":"'.mysql_result($res_enti,0,'enti_razsoc').'"';
      $xjson.=',"Nombre Comercial":"'.mysql_result($res_enti,0,'enti_nomcom').'"';
      $xjson.=',"Nombre 1":"'.mysql_result($res_enti,0,'enti_nom1').'"';
      $xjson.=',"Nombre 2":"'.mysql_result($res_enti,0,'enti_nom2').'"';
      $xjson.=',"Apellido 1":"'.mysql_result($res_enti,0,'enti_ape1').'"';
      $xjson.=',"Apellido 2":"'.mysql_result($res_enti,0,'enti_ape2').'"';
  //     $xjson.=',"Matriz:"'.mysql_result($res_enti,0,'enti_matriz').'"';
  //     $xjson.=',"Direccion:"'.mysql_result($res_enti,0,'enti_direccion').'"';

  //     $xjson.=',"Contribuyente Especial":"'.$valor.'"';

      $xjson.='}';
      break;
    }
  //   if($enti_descri!=''){break;}
  }
}

$empr_codi='demo';
	chdir('../'.$empr_codi.'/_lib');

if($enti_descri=='' )
{
  $enti_descri=get_cedec($xruced,1); 
  $xjson=$enti_descri;
}



echo $xjson;

?>